HPL_abort(3)

NAME
HPL_abort - halts execution.

SYNOPSIS
#include "hpl.h"

void HPL_abort( int LINE, const char * SRNAME, const char * FORM, ... );

DESCRIPTION
HPL_abort displays an error message on stderr and halts execution.

ARGUMENTS

LINE    (local input)           int
    On entry, LINE specifies the line number in the file where the error has occured. When LINE is not a positive line number, it is ignored.

SRNAME  (local input)           const char *
    On entry, SRNAME should be the name of the routine calling this error handler.

FORM    (local input)           const char *
    On entry, FORM specifies the format, i.e., how the subsequent arguments are converted for output.

(local input)           ...
    On entry, ... is the list of arguments to be printed within the format string.

EXAMPLE
#include "hpl.h"

int main(int argc, char *argv[])
{
   HPL_abort( __LINE__, __FILE__, "Halt.\n" );
   exit(0); return(0);
}

SEE ALSO
HPL_fprintf (3), HPL_warn (3).